﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1"  runat="server"></telerik:RadScriptManager>
        <script type="text/javascript">
            function getCellValue(sender, args) {
                if (args.get_columnUniqueName() === "TemplateColumn") {
                    args.set_cancel(true);
                    var container = args.get_container();
                    args.set_value(container.innerHTML.trim());
                }
            }
            function setcellValue(sender, args) {
                if (args.get_columnUniqueName() === "TemplateColumn") {
                    args.set_cancel(true);
                    var container = args.get_container(),
                    value = args.get_value();
                    container.innerHTML = value;
                }
            }
            function getEditorValue(sender, args) {
                if (args.get_columnUniqueName() === "TemplateColumn") {
                    args.set_cancel(true);
                    var container = args.get_container(),
                        value = $telerik.findControl(container, "RadSearchBox1").get_inputElement().value
                    args.set_value(value);
                }
            }
            function setEditorValue(sender, args) {
                if (args.get_columnUniqueName() === "TemplateColumn") {
                    args.set_cancel(true);
                    var container = args.get_container(),
                    value = args.get_value();
                    if (args.get_row().id.indexOf('-') != -1) {
                        $telerik.findControl(container, "RadSearchBox1").get_inputElement().value = "";
                    } else {
                        $telerik.findControl(container, "RadSearchBox1").get_inputElement().value = value;
                    }
                }
            }
        </script>
        <telerik:RadGrid ID="RadGrid1" Width="97%" AllowPaging="True"
            OnNeedDataSource="RadGrid1_NeedDataSource" PageSize="15" AutoGenerateColumns="false" 
            runat="server" OnBatchEditCommand="RadGrid1_BatchEditCommand"
            AllowSorting="true" GridLines="None">
            <MasterTableView Width="100%" CommandItemDisplay="Top" EditMode="Batch">
                <Columns>
                    <telerik:GridTemplateColumn UniqueName="TemplateColumn">
                        <ItemTemplate>
                            <%#Eval("CustomerID") %>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <telerik:RadSearchBox runat="server" ID="RadSearchBox1">
                                 <DropDownSettings Height="150" Width="250" />
                                <WebServiceSettings Path="Default.aspx" Method="GetResults" />
                            </telerik:RadSearchBox>
                        </EditItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
            <PagerStyle Mode="NextPrevAndNumeric"></PagerStyle>
            <FilterMenu EnableTheming="True">
                <CollapseAnimation Duration="200" Type="OutQuint"></CollapseAnimation>
            </FilterMenu>
            <ClientSettings>
                <ClientEvents OnBatchEditGetCellValue="getCellValue" OnBatchEditSetCellValue="setcellValue"
                    OnBatchEditGetEditorValue="getEditorValue" OnBatchEditSetEditorValue="setEditorValue" />
            </ClientSettings>
        </telerik:RadGrid>
    </form>
</body>
</html>
