﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

using Telerik.Web.UI;
using System.Web.Services;

public partial class Default : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        List<Customer> dataSource = new List<Customer>();
        for (int i = 0; i <= 49; i++)
        {
            dataSource.Add(new Customer
            {
                CustomerID = "ID" + i.ToString(),
                CompanyName = "Company" + i.ToString(),
                ContactName = "Name" + i.ToString(),
                Address = "Address" + i.ToString(),
                ContactTitle = "Title" + i.ToString(),
                PostalCode = i.ToString()
            });
        }
        RadGrid1.DataSource = dataSource;
    }



    [WebMethod]
    public static SearchBoxData GetResults(SearchBoxContext context)
    {
     
        List<String> dataSource = new List<String>();
        for (int i = 0; i <= 49; i++)
        {
            dataSource.Add("ID" + i.ToString());
        }

        List<SearchBoxItemData> result = new List<SearchBoxItemData>();

        for (int i = 0; i < dataSource.Count; i++)
        {
            SearchBoxItemData itemData = new SearchBoxItemData();
            itemData.Text = dataSource[i];
            itemData.Value = dataSource[i];

            result.Add(itemData);
        }
        SearchBoxData res = new SearchBoxData();
        res.Items = result.ToArray();

        return res;
    }

    protected void RadGrid1_BatchEditCommand(object sender, GridBatchEditingEventArgs e)
    {

    }
}

public class Customer
{
    public string CustomerID { get; set; }
    public string CompanyName { get; set; }
    public string ContactName { get; set; }
    public string ContactTitle { get; set; }
    public string Address { get; set; }
    public string PostalCode { get; set; }
}
